const express = require('express');
const router = express.Router();
const notificationController = require('../controllers/notificationAgenceController');

router.patch('/create-details-contact', notificationController.createDetailsContactNotif);
router.patch('/create-legal-representative', notificationController.createLegalRepresentativeNotif);
router.patch('/taxe', notificationController.createTaxeNotif);
router.patch('/legal-mention', notificationController.createLegalMentionNotif);
router.patch('/iban', notificationController.createIbanNotif);
router.patch('/upload-document', notificationController.createUploadDocumentNotif);
router.patch('/upload-document-offer', notificationController.createUploadOfferDocumentNotif);
router.patch('/add-offer', notificationController.createAddOfferNotif);
router.patch('/update-offer', notificationController.createUpdateOfferNotif);
router.patch('/delete-offer', notificationController.createDeleteOfferNotif);
router.get('/', notificationController.findAll);
router.patch('/check/:id', notificationController.checkNotification);
router.get('/', notificationController.getAllNotification);
router.get('/checked', notificationController.getAllCheckedNotification);
router.get('/unchecked', notificationController.getAllUnCheckedNotification);
router.post('/period', notificationController.getAllNotificationByPeriod);
router.post('/period/checked', notificationController.getAllCheckedNotificationByPeriod);
router.post('/period/unchecked', notificationController.getAllUnCheckedNotificationByPeriod);
module.exports = router;
